- [HTTP request](https://developers.google.com/my-business/reference/rest/v4/accounts/listRecommendGoogleLocations#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/rest/v4/accounts/listRecommendGoogleLocations#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/rest/v4/accounts/listRecommendGoogleLocations#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/rest/v4/accounts/listRecommendGoogleLocations#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/rest/v4/accounts/listRecommendGoogleLocations#body.response_body)
  - [JSON representation](https://developers.google.com/my-business/reference/rest/v4/accounts/listRecommendGoogleLocations#body.ListRecommendedGoogleLocationsResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/my-business/reference/rest/v4/accounts/listRecommendGoogleLocations#body.aspect)

List all the `https://developers.google.com/my-business/reference/rest/v4/googleLocations#GoogleLocation`s that have been recommended to the specified Business Profile account. Recommendations are provided for personal accounts and location groups only, requests for all other account types will result in an error. The recommendations for location groups are based on the locations in that group.

The recommendations for personal accounts are based on all of the locations that the user has access to on Business Profile (which includes locations they can access through location groups), and is a superset of all recommendations generated for the user.

### HTTP request

`GET https://mybusiness.googleapis.com/v4/{name=accounts/*}:recommendGoogleLocations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Name of the account resource to fetch recommended Google locations for. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` How many locations to fetch per page. Default is 25, minimum is 1, and maximum page size is 100. |
| `pageToken` | `string` If specified, the next page of locations is retrieved. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response message for GoogleLocations.ListRecommendedGoogleLocations.

It also contains some locations that have been claimed by other Business Profile users since the last time they were recommended to this Business Profile account.

| JSON representation ||
|---|---|
| ``` { "googleLocations": [ { object (`https://developers.google.com/my-business/reference/rest/v4/googleLocations#GoogleLocation`) } ], "totalSize": integer, "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `googleLocations[]` | ``object (`https://developers.google.com/my-business/reference/rest/v4/googleLocations#GoogleLocation`)`` The locations recommended to a Business Profile account. Each of these represents a `https://developers.google.com/my-business/reference/rest/v4/googleLocations#GoogleLocation` that is present on Maps. The locations are sorted in decreasing order of relevance to the Business Profile account. |
| `totalSize` | `integer` The total number of recommended locations for this Business Profile account, irrespective of pagination. |
| `nextPageToken` | `string` During pagination, if there are more locations available to be fetched in the next page, this field is populated with a token to fetch the next page of locations in a subsequent call. If there are no more locations to be fetched, this field is not present in the response. |

### Authorization Scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/plus.business.manage`
- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).